/* 
 * The MIT License
 * 
 * Copyright (c) 2007 University of Salzburg, www.uni-salzburg.at
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package at.uni_salzburg.cs.exotasks.editor.timing.htl;

import at.uni_salzburg.cs.exotasks.timing.htl.HTLModeList;

/**
 * This class asociates a ModuleList with an array of module moduleNames.
 * 
 * @author Daniel Iercan (diercan@aut.upt.ro)
 *
 **/
class HTLModeListWrapper {
	/**Available module names*/
	private String[] programNames;
	/**Available program names*/
	private String[] moduleNames;
	
	/**The list of modes*/
	private HTLModeList modeList;
	
	/**
	 * Crate a new wrapper
	 * @param pModeList
	 * @param pModuleNames
	 */
	public HTLModeListWrapper(HTLModeList pModeList, String[] pModuleNames, String[] pProgramNames){
		moduleNames = pModuleNames;
		programNames = pProgramNames;
		modeList = pModeList;
	}
	
	/**
	 * Get the list of modes
	 * @return
	 */
	public HTLModeList getModeList(){
		return modeList;
	}
	
	/**
	 * Get the list of module names
	 * @return
	 */
	public String[] getModuleNames(){
		return moduleNames;
	}
	
	/**
	 * Get the list of program names
	 * @return
	 */
	public String[] getProgramNames(){
		return programNames;
	}
	
	public String toString(){
		return modeList.toString();
	}
}
