/* 
 * The MIT License
 * 
 * Copyright (c) 2007 University of Salzburg, www.uni-salzburg.at
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package at.uni_salzburg.cs.exotasks.editor.timing.htl;

import org.eclipse.jface.viewers.ComboBoxCellEditor;
import org.eclipse.swt.widgets.Composite;

/**
 * @author Daniel Iercan (diercan@aut.upt.ro)
 *
 **/
public class ModeSelectionCellEditor extends ComboBoxCellEditor {
	
	public ModeSelectionCellEditor(Composite parent, String[] items){
		super(parent, items);
	}
	
	protected Object doGetValue(){
		Integer idx = (Integer)super.doGetValue();
		if(idx.intValue() > -1)
			return super.getItems()[idx.intValue()];
		else
			return "";
	}
	
	protected void doSetValue(Object pValue){
		super.doSetValue(getNameIndex(super.getItems(), (String)pValue));
	}
	
	private Integer getNameIndex(String[] names, String name){
	  for(int i=0; i<names.length; i++){
		  if(names[i].equals(name)){
			  return new Integer(i);
		  }
	  }
	 return new Integer(-1);
  }
}
