/* 
 * The MIT License
 * 
 * Copyright (c) 2007 University of Salzburg, www.uni-salzburg.at
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package at.uni_salzburg.cs.exotasks.scheduling.ecode.instructions;

/**
 * @author Daniel Iercan (diercan@aut.upt.ro)
 * 
 * This class implements the If instruction
 **/
public class JumpIf extends Instruction {

	public static final int CODE = 6;

	private int condition;
	private int address;

	public JumpIf(int pCondition, int pAddress, String pComment){
		super(CODE, pComment);

		condition = pCondition;
		address = pAddress;
	}

	/**
	 * @return Returns the address.
	 */
	public int getAddress() {
		return address;
	}
	
	/**
	 * Set address
	 */
	public void setAddress(int pAddress) {
		address = pAddress;
	}
	
	/**
	 * @return Returns the condition.
	 */
	public int getCondition() {
		return condition;
	}

	public String toString(){
		return "IF(" +condition+", " + address +")\t\t //"+getComment();
	}
}
